Veo-3.1-Fast-Generate-Preview - Text To Video
Veo-3.1-Fast-Generate-Preview — Text To Video. GPTProto API reference.
POST
veo (text to video)
Gemini’s veo 3.1 fast generate preview for the text to video API.
Authentication
- Sign up for a GPTProto account at https://gptproto.com
- Navigate to the API Keys section in your dashboard
- Generate a new API key (sk-xxxxx)
- Copy and securely store your API key For authentication details, please refer to the Authentication section.
Initiate Request
Response Example
Query Task
The operation_id can be obtained from the response of the predictLongRunning endpoint.
After a successful query, the API returns a URL (response.generateVideoResponse.generatedSamples.video.uri) for downloading the video. This URL is required when making the request.
Parameters
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
instances | array | ✅ Yes | - | An array of instances containing the video generation parameters |
instances[].prompt | string | ✅ Yes | a cat | The text prompt describing the video content you want to generate |

